

DROP TABLE IF EXISTS `buttons`;
CREATE TABLE `buttons` (
  `id` int(11) NOT NULL auto_increment,
  `moditemid` int(11) NOT NULL default '0',
  `target_moditemid` int(11) NOT NULL default '0',
  `btfunct` varchar(10) NOT NULL default '',
  `moditem_render_mode` varchar(10) NOT NULL default '',
  `oid` char(1) NOT NULL default '',
  `display` text NOT NULL,
  `grp_id` mediumint(9) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `moditemid` (`moditemid`),
  KEY `target_moditemid` (`target_moditemid`),
  KEY `btfunct` (`btfunct`),
  KEY `moditem_render_mode` (`moditem_render_mode`),
  KEY `oid` (`oid`),
  KEY `grp_id` (`grp_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `conf`;
CREATE TABLE `conf` (
  `id` int(11) NOT NULL auto_increment,
  `nick` varchar(10) NOT NULL default '',
  `moditemid` int(11) NOT NULL default '0',
  `itemid` int(11) NOT NULL default '0',
  `Variable` varchar(20) NOT NULL,
  `Value` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `nick` (`nick`,`moditemid`,`itemid`,`Variable`),
  KEY `moditemid` (`moditemid`),
  KEY `itemid` (`itemid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `cronjobs`;
CREATE TABLE `cronjobs` (
  `id` int(11) NOT NULL auto_increment,
  `moditems_id` int(11) NOT NULL,
  `cron` varchar(32) NOT NULL,
  `command` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `db_version`;
CREATE TABLE `db_version` (
  `version` float default NULL,
  `utime` timestamp NOT NULL default CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `events`;
CREATE TABLE `events` (
  `id` int(11) NOT NULL auto_increment,
  `gtkobjectid` int(11) NOT NULL default '0',
  `event` text NOT NULL,
  `command` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `gtkobjectid` (`gtkobjectid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `groups`;
CREATE TABLE `groups` (
  `id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL,
  `name` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `gtkattributes`;
CREATE TABLE `gtkattributes` (
  `id` bigint(20) NOT NULL auto_increment,
  `gtkobjectid` bigint(20) NOT NULL,
  `gtkobjecttype` char(16) NOT NULL,
  `attribute` char(32) NOT NULL,
  `data` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `gtkobjectid` (`gtkobjectid`,`gtkobjecttype`,`attribute`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `gtkattributes_schema`;
CREATE TABLE `gtkattributes_schema` (
  `id` int(11) NOT NULL auto_increment,
  `gtkobjecttype` char(16) NOT NULL,
  `attribute` char(32) NOT NULL,
  `attributetype` char(5) NOT NULL,
  `valid_values` text NOT NULL,
  `description` text NOT NULL,
  `can_default` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `gtkformitems`;
CREATE TABLE `gtkformitems` (
  `id` int(11) NOT NULL auto_increment,
  `data` varchar(50) NOT NULL,
  `updatedata` varchar(30) NOT NULL default '',
  `formid` int(11) NOT NULL default '0',
  `gtktype` varchar(20) NOT NULL default 'gtk_text',
  `editable` varchar(5) NOT NULL default '0',
  `required` varchar(5) NOT NULL default '',
  `description` varchar(30) NOT NULL default '',
  `x` char(2) NOT NULL default '0',
  `xspan` char(2) NOT NULL default '1',
  `y` char(2) NOT NULL default '0',
  `yspan` char(2) NOT NULL default '1',
  `querysql` text NOT NULL,
  `to_call` int(11) NOT NULL default '0',
  `hint` text NOT NULL,
  `hrequest` int(11) NOT NULL default '-1',
  `wrequest` int(11) NOT NULL default '-1',
  `type_def` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `formid` (`formid`),
  KEY `to_call` (`to_call`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `gtkheaders`;
CREATE TABLE `gtkheaders` (
  `listing` varchar(10) NOT NULL default '',
  `oid` float NOT NULL default '0',
  `header` varchar(40) NOT NULL,
  `printable` char(5) NOT NULL default 'true',
  `data` varchar(50) NOT NULL default '',
  `id` int(11) NOT NULL auto_increment,
  `align` varchar(10) NOT NULL default '',
  `type` varchar(20) NOT NULL default '',
  `editable` varchar(5) NOT NULL default '',
  `querySQL` text NOT NULL,
  `rgrp_id` smallint(6) NOT NULL,
  `wgrp_id` smallint(6) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `oid` (`oid`),
  KEY `listing` (`listing`),
  KEY `rgrp_id` (`rgrp_id`),
  KEY `wgrp_id` (`wgrp_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `gtkmenu`;
CREATE TABLE `gtkmenu` (
  `id` int(11) NOT NULL auto_increment,
  `oid` varchar(11) NOT NULL default '0',
  `hint` varchar(100) NOT NULL default '',
  `display` varchar(50) NOT NULL default '',
  `parent` int(11) NOT NULL default '0',
  `module` tinyint(4) NOT NULL default '0',
  `groupid` tinyint(4) NOT NULL default '0',
  `target` int(11) default NULL,
  `imageid` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `oid` (`oid`),
  KEY `parent` (`parent`),
  KEY `module` (`module`),
  KEY `groupid` (`groupid`),
  KEY `target` (`target`),
  KEY `imageid` (`imageid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `gtkprintitems`;
CREATE TABLE `gtkprintitems` (
  `id` int(11) NOT NULL auto_increment,
  `printid` int(11) NOT NULL default '0',
  `gtktype` varchar(20) NOT NULL default '',
  `page_number` tinyint(4) NOT NULL,
  `x` int(11) NOT NULL default '0',
  `y` int(11) NOT NULL default '0',
  `txt` text NOT NULL,
  `font` varchar(64) NOT NULL,
  `width` int(100) NOT NULL,
  `height` int(100) NOT NULL,
  `text_alignment` varchar(6) NOT NULL default 'left',
  PRIMARY KEY  (`id`),
  KEY `printid` (`printid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `gtkprintpages`;
CREATE TABLE `gtkprintpages` (
  `moditem_id` int(11) NOT NULL,
  `paper_size_name` varchar(16) NOT NULL,
  `orientation` varchar(32) NOT NULL,
  `bottom_margin` float NOT NULL,
  `top_margin` float NOT NULL,
  `left_margin` float NOT NULL,
  `right_margin` float NOT NULL,
  UNIQUE KEY `moditem_id` (`moditem_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `help_formats`;
CREATE TABLE `help_formats` (
  `name` varchar(100) NOT NULL,
  `format_dump` text NOT NULL,
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `help_items`;
CREATE TABLE `help_items` (
  `index` varchar(100) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY  (`index`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `history`;
CREATE TABLE `history` (
  `id` bigint(20) NOT NULL auto_increment,
  `ctime` datetime NOT NULL,
  `nick` varchar(10) NOT NULL,
  `base` varchar(100) NOT NULL,
  `row_id` bigint(20) NOT NULL,
  `operation` char(1) NOT NULL,
  `header_id` int(11) NOT NULL,
  `data` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `images`;
CREATE TABLE `images` (
  `id` int(11) NOT NULL auto_increment,
  `filename` text NOT NULL,
  `filedata` longblob NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `messages`;
CREATE TABLE `messages` (
  `id` bigint(20) NOT NULL auto_increment,
  `date` datetime default NULL,
  `sender` char(12) NOT NULL,
  `recipient` char(12) NOT NULL,
  `subject` text NOT NULL,
  `body` text NOT NULL,
  `state` char(1) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `moditems`;
CREATE TABLE `moditems` (
  `id` int(11) NOT NULL auto_increment,
  `querysql` text NOT NULL,
  `query_sql_id` int(11) NOT NULL,
  `comment` text NOT NULL,
  `additional_on_update` text NOT NULL,
  `additional_on_insert` text NOT NULL,
  `display` text NOT NULL,
  `name` varchar(20) NOT NULL default '',
  `modid` int(11) NOT NULL default '0',
  `oid` char(2) NOT NULL default '0',
  `parent` int(11) NOT NULL default '0',
  `on_embed` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `modid` (`modid`),
  KEY `oid` (`oid`),
  KEY `parent` (`parent`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `modules`;
CREATE TABLE `modules` (
  `id` tinyint(4) NOT NULL auto_increment,
  `modname` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `qobjects`;
CREATE TABLE `qobjects` (
  `id` int(11) NOT NULL auto_increment,
  `query_id` int(11) NOT NULL,
  `obj_type` char(1) NOT NULL,
  `obj_id` int(11) NOT NULL,
  `field` text,
  `custom` char(5) NOT NULL default 'false',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `queries`;
CREATE TABLE `queries` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL,
  `base` int(11) NOT NULL,
  `comment` text NOT NULL,
  `sql` text NOT NULL,
  `where_clause` text NOT NULL,
  `order_by_qobject_id` int(11) NOT NULL,
  `order_by_dir` tinyint(4) NOT NULL,
  `group_by` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `relations`;
CREATE TABLE `relations` (
  `id` int(11) NOT NULL auto_increment,
  `src_table` char(32) NOT NULL,
  `src_field` char(64) NOT NULL,
  `dst_table` char(32) NOT NULL,
  `dst_field` char(64) NOT NULL,
  `rel_type` char(1) NOT NULL,
  `rbx` float NOT NULL default '0',
  `rby` float NOT NULL default '0',
  `rel_name` varchar(30) NOT NULL,
  `rel_custom` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `src_table` (`src_table`),
  KEY `src_field` (`src_field`),
  KEY `dst_table` (`dst_table`),
  KEY `joint_type` (`rel_type`),
  KEY `dst_field` (`dst_field`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `scv`;
CREATE TABLE `scv` (
  `id` int(11) NOT NULL auto_increment,
  `cdisplay` text NOT NULL,
  `cdata` varchar(32) NOT NULL,
  `combo` varchar(64) NOT NULL default '0',
  `description` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `cdata` (`cdata`),
  KEY `combo` (`combo`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `tables`;
CREATE TABLE `tables` (
  `id` int(11) NOT NULL auto_increment,
  `name` char(128) NOT NULL,
  `rbx` float NOT NULL default '0',
  `rby` float NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `todo`;
CREATE TABLE `todo` (
  `id` bigint(20) NOT NULL auto_increment,
  `moditems_id` bigint(20) NOT NULL,
  `cdate` date NOT NULL,
  `todo` text NOT NULL,
  `comment` text NOT NULL,
  `done` char(5) NOT NULL default 'false',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `usergroups`;
CREATE TABLE `usergroups` (
  `id` int(11) NOT NULL auto_increment,
  `groupid` int(11) NOT NULL default '0',
  `userid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `groupid` (`groupid`),
  KEY `userid` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `id` int(11) NOT NULL auto_increment,
  `nick` varchar(10) NOT NULL default '',
  `passwd` varchar(32) NOT NULL default '',
  `name` varchar(200) NOT NULL default '',
  `email` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `nick` (`nick`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;




DROP TABLE IF EXISTS `modules`;
CREATE TABLE `modules` (
  `id` tinyint(4) NOT NULL auto_increment,
  `modname` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `modules` (`id`, `modname`) VALUES (1,'listing'),(2,'form'),(5,'about'),(9,'print'),(10,'info'),(11,'print_wysiwyg'),(12,'quit'),(13,'config'),(14,'relation_builder'),(17,'help');
DROP TABLE IF EXISTS `db_version`;
CREATE TABLE `db_version` (
  `version` float default NULL,
  `utime` timestamp NOT NULL default CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `db_version` (`version`, `utime`) VALUES (1,'2009-07-23 08:55:01'),(2,'2009-12-17 11:18:48'),(3,'2010-01-31 09:05:48'),(4,'2010-03-11 09:13:27'),(5,'2010-06-15 17:56:57'),(6,'2010-07-13 10:30:04'),(7,'2010-08-10 18:59:54'),(8,'2010-08-11 07:06:12'),(9,'2010-08-11 07:06:12'),(12,'2010-09-07 16:49:20'),(10,'2010-08-11 18:45:44'),(11,'2010-09-07 16:49:20'),(14,'2011-01-17 07:38:10');


